<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: src Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dir_a286f77d5882bcfb32e2e8ce0ac4608d.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">src Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:_battery_monitor_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_battery_monitor_8h.html">BatteryMonitor.h</a> <a href="_battery_monitor_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_battery_monitor_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual class for battery monitor. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_bl_ctrl_v2_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_bl_ctrl_v2_8h.html">BlCtrlV2.h</a> <a href="_bl_ctrl_v2_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_bl_ctrl_v2_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe integrant les drivers i2c Mikrokopter. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_bl_ctrl_v2__x4__speed_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><b>BlCtrlV2_x4_speed.h</b> <a href="_bl_ctrl_v2__x4__speed_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_bldc_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_bldc_8h.html">Bldc.h</a> <a href="_bldc_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_bldc_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual class for brushless drivers. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_camera_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_camera_8h.html">Camera.h</a> <a href="_camera_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_camera_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual class for Camera. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_dual_shock3_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_dual_shock3_8h.html">DualShock3.h</a> <a href="_dual_shock3_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_dual_shock3_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe intégrant la manette DualShock3. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_gx3__25__imu_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_gx3__25__imu_8h.html">Gx3_25_imu.h</a> <a href="_gx3__25__imu_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_gx3__25__imu_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe intégrant la centrale 3dmgx3-25. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_imu_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_imu_8h.html">Imu.h</a> <a href="_imu_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_imu_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual class for Imu. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_joy_reference_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_joy_reference_8h.html">JoyReference.h</a> <a href="_joy_reference_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_joy_reference_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe générant des consignes à partir du joystick. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_mb800_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_mb800_8h.html">Mb800.h</a> <a href="_mb800_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_mb800_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe intégrant le recepteur gps mb800. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_novatel_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_novatel_8h.html">Novatel.h</a> <a href="_novatel_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_novatel_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe intégrant le recepteur gps Novatel. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_parrot_battery_monitor_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_parrot_battery_monitor_8h.html">ParrotBatteryMonitor.h</a> <a href="_parrot_battery_monitor_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_parrot_battery_monitor_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parrot battery monitor. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_parrot_bldc_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_parrot_bldc_8h.html">ParrotBldc.h</a> <a href="_parrot_bldc_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_parrot_bldc_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe integrant les moteurs ardrone. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_parrot_nav_board_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_parrot_nav_board_8h.html">ParrotNavBoard.h</a> <a href="_parrot_nav_board_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_parrot_nav_board_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe integrant les moteurs ardrone. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_ps3_eye_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_ps3_eye_8h.html">Ps3Eye.h</a> <a href="_ps3_eye_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_ps3_eye_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe intégrant la camera Ps3Eye. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_simu_bldc_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_simu_bldc_8h.html">SimuBldc.h</a> <a href="_simu_bldc_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_simu_bldc_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for a simulation bldc. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_simu_camera_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_simu_camera_8h.html">SimuCamera.h</a> <a href="_simu_camera_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_simu_camera_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for a simulation camera. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_simu_imu_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_simu_imu_8h.html">SimuImu.h</a> <a href="_simu_imu_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_simu_imu_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for a simulation imu. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_simu_us_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_simu_us_8h.html">SimuUs.h</a> <a href="_simu_us_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_simu_us_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for a simulation us. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_srf08_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_srf08_8h.html">Srf08.h</a> <a href="_srf08_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_srf08_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe intégrant le capteur à ultra son SRF08. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_us_range_finder_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_us_range_finder_8h.html">UsRangeFinder.h</a> <a href="_us_range_finder_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_us_range_finder_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual class for UsRangeFinder. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_vrpn_client_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_vrpn_client_8h.html">VrpnClient.h</a> <a href="_vrpn_client_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_vrpn_client_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe se connectant au serveur vrpn. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_vrpn_object_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_vrpn_object_8h.html">VrpnObject.h</a> <a href="_vrpn_object_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_vrpn_object_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe intégrant un objet VRPN. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_x_bldc_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_bldc_8h.html">XBldc.h</a> <a href="_x_bldc_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_x_bldc_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe integrant les drivers i2c Xufo. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_5d36942bc0b8b7535ca1debdbb2dea17.html">igep</a></li><li class="navelem"><a class="el" href="dir_4058784a9b3b5a1af08fe490f3cc2295.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_397df358b18bb3cbe19e4fcbd91928fa.html">framework</a></li><li class="navelem"><a class="el" href="dir_019919309272f4ce57329ad0149f1a34.html">SensorActuator</a></li><li class="navelem"><a class="el" href="dir_a286f77d5882bcfb32e2e8ce0ac4608d.html">src</a></li>
    <li class="footer">Generated on Mon May 19 2014 08:12:47 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
